/* modul PWM modulace
   ubytky a mrtve casy
   
   shodna verze s PWM_FULL_LC
   
   31.5. 2007
*/

extern void pwm_full_init(double Ucn, double fc, double DT);
extern void pwm_full(double *us, double *u, double *Iz,double Ucn, double Uc, double *i, double fc, double *va_char,unsigned int pocet, double h);

extern double ladeni_pila;
extern double ladeni_ur;

extern void pwm_full_new_init(double h, double fc, double DT, int citac_init, int D_smer, int D_smer2);
extern void pwm_full_new(double *us, double *u, double *Iz, double Ucn, double Uc, double *is, double *va_char, unsigned int pocet);

// vylepsena PWM ... mod=0 - sinusova PWM; mod=1 - PWM se 3. harmonickou
extern void pwm_full_new_init_3h(double h, double fc, double DT, int citac_init, int D_smer, int D_smer2);
extern void pwm_full_new_3h(double *us, double *u, double *Iz, double Ucn, double Uc, double *is, double *va_char, unsigned int pocet, unsigned int mod);